CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Install openFOAM 1.6 on debian 32bit - blockMesh: command not found

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   August 27, 2009, 09:29
Question Install openFOAM 1.6 on debian 32bit - blockMesh: command not found
  #1
New Member
 
Alex
Join Date: Aug 2009
Posts: 6
Rep Power: 8
fossy is on a distinguished road
Hi there!
First of all: I've read a lot of threads, tried a lot of solutions, but nothing helped.
I have installed openFOAM 1.6 according to the readme.html. Running the foamInstallationTest says:
Quote:
Base configuration ok.

The foam installation contains 2 critical error(s).
And scrolling to the errors:
Quote:
Third party software
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
gcc 4.3.3
WARNING: Conflicting installations:
OpenFOAM settings : /home/teissier/OpenFOAM/ThirdParty-1.6/gcc-4.3.3/platforms/linux/bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR

gzip 1.3.12 /bin/gzip
tar 1.20 /bin/tar
icoFoam
WARNING: Conflicting installations:
OpenFOAM settings : /home/teissier/OpenFOAM/OpenFOAM-1.6/applications/bin/linuxGccDPOpt/icoFoam
current path :
CRITICAL ERROR

-------------------------------------------------------------------------------
If I continue in the installation-(test)-process [copying tutorials, changing the directory..] I got until "blockMesh". There he says:
Quote:
bash: blockMesh: command not found.
What I have already done:
- Changing the link of \usr\bin\gcc to the openFoam-gcc according to the error-message

- Running the ./Allmake (no errors)

- Doing everything of the readme (bashrc, directories,..)

- Eating a lot of chocolate

- Saying my boss 20 times "It will work in a minute"

My Enviroment
Debian 5.0
i386

Please help me - Thank you
fossy is offline   Reply With Quote

Old   August 28, 2009, 04:06
Thumbs up Solved
  #2
New Member
 
Alex
Join Date: Aug 2009
Posts: 6
Rep Power: 8
fossy is on a distinguished road
Yahoo! Finally I found the solution in this Thread:

The install test problem of OpenFOAM1.6

The order of installing seems to be VERY important.
fossy is offline   Reply With Quote

Reply

Tags
blockmesh not found, installing openfoam 1.6

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems in compiling paraview in Suse 10.3 platform chiven OpenFOAM Installation 3 December 1, 2009 08:21
Problems Installing OF 1.6 32 bit bucksfan OpenFOAM Installation 19 August 4, 2009 01:36
OpenFOAM15 installables are incomplete problem with paraFoam tryingof OpenFOAM Bugs 17 December 7, 2008 05:41
Problem of compilation OF 14Allwmake command not found erik_d OpenFOAM Bugs 13 September 13, 2008 21:45
Regarding FoamX running Kindly help out hariya03 OpenFOAM Pre-Processing 0 April 18, 2008 04:26


All times are GMT -4. The time now is 12:50.